#include "LIBSA.h"

bool calculate_contacts (	float rx, //receptor x coordiante
							float ry, //receptor y coordinate
							float rz, //receptor z coordinate
							float lx, //ligand x coordiante
							float ly, //ligand y coordinate
							float lz, //ligand z coordinate
							std::string element ) //atom type
{
	if ( element.compare("H") ) {
		float cutoff = 4.0;
		float rmsd = sqrt ( (((rx-lx)*(rx-lx)) + ((ry-ly)*(ry-ly)) + ((rz-lz)*(rz-lz))) / 3 );
		if ( rmsd <= cutoff )
			return 1;
		else
			return 0;
	}
	return 0; //default is to not calculat anything
}