
using namespace std;

void print_help() {
      cout << " " << endl;
      cout << "We are assuming that there is a single column in the file that represents the data to be filtered" << endl;
      cout << "i.e. the input file should contain a single vector" << endl;
      cout << "Example usage ..." << endl;
      cout << " " << endl;
      cout << "affinity_filter <infile.dat>" << endl;
      cout << endl;
      cout << "This programs functions in an analogous manner to a standard GNU tool where all the information is printed to the terminal." << endl;
      cout << "Thus everything needs to be extracted for further use using a combination of grep and awk" << endl;
      cout << "" << endl;
      cout << "To get the full XY information for making an affinity spectrum:" << endl;
      cout << "affinity_filter <energy_file.dat> | grep '^PLOT' | awk '{print $2,$3}'" << endl;
      cout << "" << endl;
      cout << "To get the XY information sampled from affinity filtering:" << endl;
      cout << "affinity_filter <energy_file.dat> | grep 'REMARK:PEAK_INDEX_VALUE&MIN_MAX_ENERGY' | awk '{print $4,$3}'" << endl;
      cout << "" << endl;
      cout << "To get the frames from the docking source. It assumes the first line of the file corresponds to the first docked pose" << endl;
      cout << "affinity_filter <energy_file.dat> | grep 'REMARK:ENERGY_RUN' | awk '{print $2}'" << endl;
		cout << endl;
      cout << "Note, the code currently does not tolerate piping in docking scores" << endl;
}
