
void make_histogram ( 	std::vector<unsigned int> data, 
                        std::vector<int> &histogram_residue_index,
					             	std::vector<float> &histogram_residue_intensity, 
						            int biggestRes)
{
  //find the max and the min values
  float min = 1;
  float max = biggestRes;
  float range = max - min + 1; //define the range ie the x-axis
  std::cout << "REMARK:NUM_RESIDUES "  << range << std::endl;

  for (unsigned int i=1;i<=range;i++) {
    histogram_residue_index.push_back(i);
    histogram_residue_intensity.push_back(0); //initialize values to zero
  }

  for (unsigned int i=0;i<data.size();i++) {
    int num = data.at(i);
    histogram_residue_intensity[num] = histogram_residue_intensity[num] + 1;
  }

  float mi = 0;
  for (unsigned int i=0;i<histogram_residue_intensity.size();i++)
    if ( histogram_residue_intensity.at(i) > mi )
      mi = histogram_residue_intensity.at(i);

  for (unsigned int i=0;i<histogram_residue_intensity.size();i++)
    histogram_residue_intensity.at(i) = histogram_residue_intensity.at(i) / mi;

  for (unsigned int i=0;i<histogram_residue_index.size();i++)
    if(0)std::cout   << "HIST: " 
                << histogram_residue_index.at(i)
                << " "
                << histogram_residue_intensity.at(i)
                << std::endl;

  return;
}


